from srenet.utils import ProjgradParams

def get_params_from_string(name):
    if name == 'aPG' : return ProjgradParams(screen=False, relax=False) 
    elif name == 'aPGs': return ProjgradParams(screen=True , relax=False) 
    elif name == 'aPGr': return ProjgradParams(screen=False, relax=True) 
    elif name == 'S&R' : return ProjgradParams(screen=True , relax=True) 
    else: raise ValueError("Method name not understood.")

def get_label_from_string(name):
    if name == 'aPG' : return r"aPG"
    elif name == 'aPGs': return r"aPGs"
    elif name == 'aPGr': return r"aPGr"
    elif name == 'S&R' : return r"S\&R"
    else: raise ValueError("Method name not understood.")

def get_color_from_string(name):
    if name == 'aPG' : return "royalblue"
    elif name == 'aPGs': return "navy"
    elif name == 'aPGr': return "darkorange"
    elif name == 'S&R' : return "firebrick"
    else: raise ValueError("Method name not understood.")